﻿.gold-image-block {
  -o-object-fit: contain;
  object-fit: contain;
  -o-object-position: center center;
  object-position: center center;
  display: block;
  inset: 0px;
  margin: 0px auto;
  max-height: 100%;
  max-width: 100%;
}

.gold-image-block-with-sizing {
  -o-object-fit: cover;
  object-fit: cover;
  -o-object-position: center 35%;
  object-position: center 35%;
  -webkit-transform: translate(0px, 0px);
  -ms-transform: translate(0px, 0px);
  transform: translate(0px, 0px);
}

.h-auto {
  height: auto;
}
.h-25 {
  height: 25%;
}
.h-50 {
  height: 50%;
}
.h-75 {
  height: 75%;
}
.h-100 {
  height: 100%;
}
.h-vh-25 {
  height: 25vh;
}
.h-vh-50 {
  height: 50vh;
}
.h-vh-75 {
  height: 75vh;
}
.h-vh-100 {
  height: 100vh;
}
.h-min-content {
  height: -webkit-min-content;
  height: -moz-min-content;
  height: min-content;
}
.h-max-content {
  height: -webkit-max-content;
  height: -moz-max-content;
  height: max-content;
}

.w-auto {
  width: auto;
}
.w-25 {
  width: 25%;
}
.w-50 {
  width: 50%;
}
.w-75 {
  width: 75%;
}
.w-100 {
  width: 100%;
}
.w-vw-25 {
  width: 25vw;
}
.w-vw-50 {
  width: 50vw;
}
.w-vw-75 {
  width: 75vw;
}
.w-vw-100 {
  width: 100vw;
}
.w-min-content {
  width: -webkit-min-content;
  width: -moz-min-content;
  width: min-content;
}
.w-max-content {
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
}

.text-align-start {
  text-align: start;
}
.text-align-center {
  text-align: center;
}
.text-align-end {
  text-align: end;
}
.text-ellipsis {
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.fw-bold {
  font-weight: bold;
}
.fw-bolder {
  font-weight: bolder;
}

.top-0 {
  top: 0;
}

.right-0 {
  right: 0;
}

.bottom-0 {
  bottom: 0;
}

.left-0 {
  left: 0;
}

.hide-scrollbar-container-parent {
  overflow: hidden;
  height: 100%;
}

.hide-scrollbar-container {
  overflow-y: scroll;
}
.hide-scrollbar-container::-webkit-scrollbar {
  display: none;
}

.hide-scrollbar::-webkit-scrollbar {
  display: none;
}

.hide-input-spin-buttons input::-webkit-inner-spin-button, .hide-input-spin-buttons input::-webkit-outer-spin-button {
  -webkit-appearance: none;
}

.transform-none {
  -webkit-transform: none;
      -ms-transform: none;
          transform: none;
}

.d-contents {
  display: contents;
}
.d-grid {
  display: grid;
}

.rounded-xl-lg {
  border-radius: 12px !important;
}

.gold-button {
  height: 54px;
}
.gold-button-bordered {
  border-radius: 27px 27px;
}
.gold-text-field {
  /* .mud-input {
      height: 54px;
  }*/
  /*.mud-input-label {
      padding-top: 5px !important;
  }*/
  /*&:focus {
      .mud-input-label {
          padding-top: 0px !important;
      }
  }*/
}
.gold-text-field .mud-input-outlined-border {
  border-radius: 8px !important;
}
.gold-centered-text-field .mud-input-root {
  text-align: center;
}
.gold-image-block {
  -o-object-fit: contain;
     object-fit: contain;
  -o-object-position: center center;
     object-position: center center;
  display: block;
  inset: 0px;
  margin: 0px auto;
  width: 100%;
  height: 100%;
}
.gold-image-block-with-sizing {
  -o-object-fit: cover;
     object-fit: cover;
  -o-object-position: center 35%;
     object-position: center 35%;
  -webkit-transform: translate(0px, 0px);
      -ms-transform: translate(0px, 0px);
          transform: translate(0px, 0px);
}
.gold-video-block-with-sizing video {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
}
.gold-pale-border {
  border: 1px solid rgb(150, 148, 148) !important;
}

/*
.gold-message-text-field * {
    -webkit-user-select: text !important;
    user-select: text !important;
    -webkit-touch-callout: default !important;
}
*/
.gold-message-text-field .mud-input-control-input-container {
  -webkit-touch-callout: default !important;
  -webkit-user-select: all !important;
}